// Code generated by protoc-gen-go. DO NOT EDIT.
// source: workload.proto

package workload

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	structpb "google.golang.org/protobuf/types/known/structpb"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// The X509SVIDRequest message conveys parameters for requesting an X.509-SVID.
// There are currently no request parameters.
type X509SVIDRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *X509SVIDRequest) Reset()         { *m = X509SVIDRequest{} }
func (m *X509SVIDRequest) String() string { return proto.CompactTextString(m) }
func (*X509SVIDRequest) ProtoMessage()    {}
func (*X509SVIDRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{0}
}

func (m *X509SVIDRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_X509SVIDRequest.Unmarshal(m, b)
}
func (m *X509SVIDRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_X509SVIDRequest.Marshal(b, m, deterministic)
}
func (m *X509SVIDRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_X509SVIDRequest.Merge(m, src)
}
func (m *X509SVIDRequest) XXX_Size() int {
	return xxx_messageInfo_X509SVIDRequest.Size(m)
}
func (m *X509SVIDRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_X509SVIDRequest.DiscardUnknown(m)
}

var xxx_messageInfo_X509SVIDRequest proto.InternalMessageInfo

// The X509SVIDResponse message carries X.509-SVIDs and related information,
// including a set of global CRLs and a list of bundles the workload may use
// for federating with foreign trust domains.
type X509SVIDResponse struct {
	// Required. A list of X509SVID messages, each of which includes a single
	// X.509-SVID, its private key, and the bundle for the trust domain.
	Svids []*X509SVID `protobuf:"bytes,1,rep,name=svids,proto3" json:"svids,omitempty"`
	// Optional. ASN.1 DER encoded certificate revocation lists.
	Crl [][]byte `protobuf:"bytes,2,rep,name=crl,proto3" json:"crl,omitempty"`
	// Optional. CA certificate bundles belonging to foreign trust domains that
	// the workload should trust, keyed by the SPIFFE ID of the foreign trust
	// domain. Bundles are ASN.1 DER encoded.
	FederatedBundles     map[string][]byte `protobuf:"bytes,3,rep,name=federated_bundles,json=federatedBundles,proto3" json:"federated_bundles,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *X509SVIDResponse) Reset()         { *m = X509SVIDResponse{} }
func (m *X509SVIDResponse) String() string { return proto.CompactTextString(m) }
func (*X509SVIDResponse) ProtoMessage()    {}
func (*X509SVIDResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{1}
}

func (m *X509SVIDResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_X509SVIDResponse.Unmarshal(m, b)
}
func (m *X509SVIDResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_X509SVIDResponse.Marshal(b, m, deterministic)
}
func (m *X509SVIDResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_X509SVIDResponse.Merge(m, src)
}
func (m *X509SVIDResponse) XXX_Size() int {
	return xxx_messageInfo_X509SVIDResponse.Size(m)
}
func (m *X509SVIDResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_X509SVIDResponse.DiscardUnknown(m)
}

var xxx_messageInfo_X509SVIDResponse proto.InternalMessageInfo

func (m *X509SVIDResponse) GetSvids() []*X509SVID {
	if m != nil {
		return m.Svids
	}
	return nil
}

func (m *X509SVIDResponse) GetCrl() [][]byte {
	if m != nil {
		return m.Crl
	}
	return nil
}

func (m *X509SVIDResponse) GetFederatedBundles() map[string][]byte {
	if m != nil {
		return m.FederatedBundles
	}
	return nil
}

// The X509SVID message carries a single SVID and all associated information,
// including the X.509 bundle for the trust domain.
type X509SVID struct {
	// Required. The SPIFFE ID of the SVID in this entry
	SpiffeId string `protobuf:"bytes,1,opt,name=spiffe_id,json=spiffeId,proto3" json:"spiffe_id,omitempty"`
	// Required. ASN.1 DER encoded certificate chain. MAY include
	// intermediates, the leaf certificate (or SVID itself) MUST come first.
	X509Svid []byte `protobuf:"bytes,2,opt,name=x509_svid,json=x509Svid,proto3" json:"x509_svid,omitempty"`
	// Required. ASN.1 DER encoded PKCS#8 private key. MUST be unencrypted.
	X509SvidKey []byte `protobuf:"bytes,3,opt,name=x509_svid_key,json=x509SvidKey,proto3" json:"x509_svid_key,omitempty"`
	// Required. ASN.1 DER encoded X.509 bundle for the trust domain.
	Bundle []byte `protobuf:"bytes,4,opt,name=bundle,proto3" json:"bundle,omitempty"`
	// Optional. An operator-specified string used to provide guidance on how this
	// identity should be used by a workload when more than one SVID is returned.
	// For example, `internal` and `external` to indicate an SVID for internal or
	// external use, respectively.
	Hint                 string   `protobuf:"bytes,5,opt,name=hint,proto3" json:"hint,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *X509SVID) Reset()         { *m = X509SVID{} }
func (m *X509SVID) String() string { return proto.CompactTextString(m) }
func (*X509SVID) ProtoMessage()    {}
func (*X509SVID) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{2}
}

func (m *X509SVID) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_X509SVID.Unmarshal(m, b)
}
func (m *X509SVID) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_X509SVID.Marshal(b, m, deterministic)
}
func (m *X509SVID) XXX_Merge(src proto.Message) {
	xxx_messageInfo_X509SVID.Merge(m, src)
}
func (m *X509SVID) XXX_Size() int {
	return xxx_messageInfo_X509SVID.Size(m)
}
func (m *X509SVID) XXX_DiscardUnknown() {
	xxx_messageInfo_X509SVID.DiscardUnknown(m)
}

var xxx_messageInfo_X509SVID proto.InternalMessageInfo

func (m *X509SVID) GetSpiffeId() string {
	if m != nil {
		return m.SpiffeId
	}
	return ""
}

func (m *X509SVID) GetX509Svid() []byte {
	if m != nil {
		return m.X509Svid
	}
	return nil
}

func (m *X509SVID) GetX509SvidKey() []byte {
	if m != nil {
		return m.X509SvidKey
	}
	return nil
}

func (m *X509SVID) GetBundle() []byte {
	if m != nil {
		return m.Bundle
	}
	return nil
}

func (m *X509SVID) GetHint() string {
	if m != nil {
		return m.Hint
	}
	return ""
}

// The X509BundlesRequest message conveys parameters for requesting X.509
// bundles. There are currently no such parameters.
type X509BundlesRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *X509BundlesRequest) Reset()         { *m = X509BundlesRequest{} }
func (m *X509BundlesRequest) String() string { return proto.CompactTextString(m) }
func (*X509BundlesRequest) ProtoMessage()    {}
func (*X509BundlesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{3}
}

func (m *X509BundlesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_X509BundlesRequest.Unmarshal(m, b)
}
func (m *X509BundlesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_X509BundlesRequest.Marshal(b, m, deterministic)
}
func (m *X509BundlesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_X509BundlesRequest.Merge(m, src)
}
func (m *X509BundlesRequest) XXX_Size() int {
	return xxx_messageInfo_X509BundlesRequest.Size(m)
}
func (m *X509BundlesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_X509BundlesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_X509BundlesRequest proto.InternalMessageInfo

// The X509BundlesResponse message carries a set of global CRLs and a map of
// trust bundles the workload should trust.
type X509BundlesResponse struct {
	// Optional. ASN.1 DER encoded certificate revocation lists.
	Crl [][]byte `protobuf:"bytes,1,rep,name=crl,proto3" json:"crl,omitempty"`
	// Required. CA certificate bundles belonging to trust domains that the
	// workload should trust, keyed by the SPIFFE ID of the trust domain.
	// Bundles are ASN.1 DER encoded.
	Bundles              map[string][]byte `protobuf:"bytes,2,rep,name=bundles,proto3" json:"bundles,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *X509BundlesResponse) Reset()         { *m = X509BundlesResponse{} }
func (m *X509BundlesResponse) String() string { return proto.CompactTextString(m) }
func (*X509BundlesResponse) ProtoMessage()    {}
func (*X509BundlesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{4}
}

func (m *X509BundlesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_X509BundlesResponse.Unmarshal(m, b)
}
func (m *X509BundlesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_X509BundlesResponse.Marshal(b, m, deterministic)
}
func (m *X509BundlesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_X509BundlesResponse.Merge(m, src)
}
func (m *X509BundlesResponse) XXX_Size() int {
	return xxx_messageInfo_X509BundlesResponse.Size(m)
}
func (m *X509BundlesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_X509BundlesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_X509BundlesResponse proto.InternalMessageInfo

func (m *X509BundlesResponse) GetCrl() [][]byte {
	if m != nil {
		return m.Crl
	}
	return nil
}

func (m *X509BundlesResponse) GetBundles() map[string][]byte {
	if m != nil {
		return m.Bundles
	}
	return nil
}

type JWTSVIDRequest struct {
	// Required. The audience(s) the workload intends to authenticate against.
	Audience []string `protobuf:"bytes,1,rep,name=audience,proto3" json:"audience,omitempty"`
	// Optional. The requested SPIFFE ID for the JWT-SVID. If unset, all
	// JWT-SVIDs to which the workload is entitled are requested.
	SpiffeId             string   `protobuf:"bytes,2,opt,name=spiffe_id,json=spiffeId,proto3" json:"spiffe_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *JWTSVIDRequest) Reset()         { *m = JWTSVIDRequest{} }
func (m *JWTSVIDRequest) String() string { return proto.CompactTextString(m) }
func (*JWTSVIDRequest) ProtoMessage()    {}
func (*JWTSVIDRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{5}
}

func (m *JWTSVIDRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_JWTSVIDRequest.Unmarshal(m, b)
}
func (m *JWTSVIDRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_JWTSVIDRequest.Marshal(b, m, deterministic)
}
func (m *JWTSVIDRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_JWTSVIDRequest.Merge(m, src)
}
func (m *JWTSVIDRequest) XXX_Size() int {
	return xxx_messageInfo_JWTSVIDRequest.Size(m)
}
func (m *JWTSVIDRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_JWTSVIDRequest.DiscardUnknown(m)
}

var xxx_messageInfo_JWTSVIDRequest proto.InternalMessageInfo

func (m *JWTSVIDRequest) GetAudience() []string {
	if m != nil {
		return m.Audience
	}
	return nil
}

func (m *JWTSVIDRequest) GetSpiffeId() string {
	if m != nil {
		return m.SpiffeId
	}
	return ""
}

// The JWTSVIDResponse message conveys JWT-SVIDs.
type JWTSVIDResponse struct {
	// Required. The list of returned JWT-SVIDs.
	Svids                []*JWTSVID `protobuf:"bytes,1,rep,name=svids,proto3" json:"svids,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *JWTSVIDResponse) Reset()         { *m = JWTSVIDResponse{} }
func (m *JWTSVIDResponse) String() string { return proto.CompactTextString(m) }
func (*JWTSVIDResponse) ProtoMessage()    {}
func (*JWTSVIDResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{6}
}

func (m *JWTSVIDResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_JWTSVIDResponse.Unmarshal(m, b)
}
func (m *JWTSVIDResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_JWTSVIDResponse.Marshal(b, m, deterministic)
}
func (m *JWTSVIDResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_JWTSVIDResponse.Merge(m, src)
}
func (m *JWTSVIDResponse) XXX_Size() int {
	return xxx_messageInfo_JWTSVIDResponse.Size(m)
}
func (m *JWTSVIDResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_JWTSVIDResponse.DiscardUnknown(m)
}

var xxx_messageInfo_JWTSVIDResponse proto.InternalMessageInfo

func (m *JWTSVIDResponse) GetSvids() []*JWTSVID {
	if m != nil {
		return m.Svids
	}
	return nil
}

// The JWTSVID message carries the JWT-SVID token and associated metadata.
type JWTSVID struct {
	// Required. The SPIFFE ID of the JWT-SVID.
	SpiffeId string `protobuf:"bytes,1,opt,name=spiffe_id,json=spiffeId,proto3" json:"spiffe_id,omitempty"`
	// Required. Encoded JWT using JWS Compact Serialization.
	Svid string `protobuf:"bytes,2,opt,name=svid,proto3" json:"svid,omitempty"`
	// Optional. An operator-specified string used to provide guidance on how this
	// identity should be used by a workload when more than one SVID is returned.
	// For example, `internal` and `external` to indicate an SVID for internal or
	// external use, respectively.
	Hint                 string   `protobuf:"bytes,3,opt,name=hint,proto3" json:"hint,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *JWTSVID) Reset()         { *m = JWTSVID{} }
func (m *JWTSVID) String() string { return proto.CompactTextString(m) }
func (*JWTSVID) ProtoMessage()    {}
func (*JWTSVID) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{7}
}

func (m *JWTSVID) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_JWTSVID.Unmarshal(m, b)
}
func (m *JWTSVID) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_JWTSVID.Marshal(b, m, deterministic)
}
func (m *JWTSVID) XXX_Merge(src proto.Message) {
	xxx_messageInfo_JWTSVID.Merge(m, src)
}
func (m *JWTSVID) XXX_Size() int {
	return xxx_messageInfo_JWTSVID.Size(m)
}
func (m *JWTSVID) XXX_DiscardUnknown() {
	xxx_messageInfo_JWTSVID.DiscardUnknown(m)
}

var xxx_messageInfo_JWTSVID proto.InternalMessageInfo

func (m *JWTSVID) GetSpiffeId() string {
	if m != nil {
		return m.SpiffeId
	}
	return ""
}

func (m *JWTSVID) GetSvid() string {
	if m != nil {
		return m.Svid
	}
	return ""
}

func (m *JWTSVID) GetHint() string {
	if m != nil {
		return m.Hint
	}
	return ""
}

// The JWTBundlesRequest message conveys parameters for requesting JWT bundles.
// There are currently no such parameters.
type JWTBundlesRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *JWTBundlesRequest) Reset()         { *m = JWTBundlesRequest{} }
func (m *JWTBundlesRequest) String() string { return proto.CompactTextString(m) }
func (*JWTBundlesRequest) ProtoMessage()    {}
func (*JWTBundlesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{8}
}

func (m *JWTBundlesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_JWTBundlesRequest.Unmarshal(m, b)
}
func (m *JWTBundlesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_JWTBundlesRequest.Marshal(b, m, deterministic)
}
func (m *JWTBundlesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_JWTBundlesRequest.Merge(m, src)
}
func (m *JWTBundlesRequest) XXX_Size() int {
	return xxx_messageInfo_JWTBundlesRequest.Size(m)
}
func (m *JWTBundlesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_JWTBundlesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_JWTBundlesRequest proto.InternalMessageInfo

// The JWTBundlesReponse conveys JWT bundles.
type JWTBundlesResponse struct {
	// Required. JWK encoded JWT bundles, keyed by the SPIFFE ID of the trust
	// domain.
	Bundles              map[string][]byte `protobuf:"bytes,1,rep,name=bundles,proto3" json:"bundles,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *JWTBundlesResponse) Reset()         { *m = JWTBundlesResponse{} }
func (m *JWTBundlesResponse) String() string { return proto.CompactTextString(m) }
func (*JWTBundlesResponse) ProtoMessage()    {}
func (*JWTBundlesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{9}
}

func (m *JWTBundlesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_JWTBundlesResponse.Unmarshal(m, b)
}
func (m *JWTBundlesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_JWTBundlesResponse.Marshal(b, m, deterministic)
}
func (m *JWTBundlesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_JWTBundlesResponse.Merge(m, src)
}
func (m *JWTBundlesResponse) XXX_Size() int {
	return xxx_messageInfo_JWTBundlesResponse.Size(m)
}
func (m *JWTBundlesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_JWTBundlesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_JWTBundlesResponse proto.InternalMessageInfo

func (m *JWTBundlesResponse) GetBundles() map[string][]byte {
	if m != nil {
		return m.Bundles
	}
	return nil
}

// The ValidateJWTSVIDRequest message conveys request parameters for
// JWT-SVID validation.
type ValidateJWTSVIDRequest struct {
	// Required. The audience of the validating party. The JWT-SVID must
	// contain an audience claim which contains this value in order to
	// succesfully validate.
	Audience string `protobuf:"bytes,1,opt,name=audience,proto3" json:"audience,omitempty"`
	// Required. The JWT-SVID to validate, encoded using JWS Compact
	// Serialization.
	Svid                 string   `protobuf:"bytes,2,opt,name=svid,proto3" json:"svid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ValidateJWTSVIDRequest) Reset()         { *m = ValidateJWTSVIDRequest{} }
func (m *ValidateJWTSVIDRequest) String() string { return proto.CompactTextString(m) }
func (*ValidateJWTSVIDRequest) ProtoMessage()    {}
func (*ValidateJWTSVIDRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{10}
}

func (m *ValidateJWTSVIDRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ValidateJWTSVIDRequest.Unmarshal(m, b)
}
func (m *ValidateJWTSVIDRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ValidateJWTSVIDRequest.Marshal(b, m, deterministic)
}
func (m *ValidateJWTSVIDRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ValidateJWTSVIDRequest.Merge(m, src)
}
func (m *ValidateJWTSVIDRequest) XXX_Size() int {
	return xxx_messageInfo_ValidateJWTSVIDRequest.Size(m)
}
func (m *ValidateJWTSVIDRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ValidateJWTSVIDRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ValidateJWTSVIDRequest proto.InternalMessageInfo

func (m *ValidateJWTSVIDRequest) GetAudience() string {
	if m != nil {
		return m.Audience
	}
	return ""
}

func (m *ValidateJWTSVIDRequest) GetSvid() string {
	if m != nil {
		return m.Svid
	}
	return ""
}

// The ValidateJWTSVIDReponse message conveys the JWT-SVID validation results.
type ValidateJWTSVIDResponse struct {
	// Required. The SPIFFE ID of the validated JWT-SVID.
	SpiffeId string `protobuf:"bytes,1,opt,name=spiffe_id,json=spiffeId,proto3" json:"spiffe_id,omitempty"`
	// Optional. Arbitrary claims contained within the payload of the validated
	// JWT-SVID.
	Claims               *structpb.Struct `protobuf:"bytes,2,opt,name=claims,proto3" json:"claims,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *ValidateJWTSVIDResponse) Reset()         { *m = ValidateJWTSVIDResponse{} }
func (m *ValidateJWTSVIDResponse) String() string { return proto.CompactTextString(m) }
func (*ValidateJWTSVIDResponse) ProtoMessage()    {}
func (*ValidateJWTSVIDResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_611edb31abe0f206, []int{11}
}

func (m *ValidateJWTSVIDResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ValidateJWTSVIDResponse.Unmarshal(m, b)
}
func (m *ValidateJWTSVIDResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ValidateJWTSVIDResponse.Marshal(b, m, deterministic)
}
func (m *ValidateJWTSVIDResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ValidateJWTSVIDResponse.Merge(m, src)
}
func (m *ValidateJWTSVIDResponse) XXX_Size() int {
	return xxx_messageInfo_ValidateJWTSVIDResponse.Size(m)
}
func (m *ValidateJWTSVIDResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ValidateJWTSVIDResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ValidateJWTSVIDResponse proto.InternalMessageInfo

func (m *ValidateJWTSVIDResponse) GetSpiffeId() string {
	if m != nil {
		return m.SpiffeId
	}
	return ""
}

func (m *ValidateJWTSVIDResponse) GetClaims() *structpb.Struct {
	if m != nil {
		return m.Claims
	}
	return nil
}

func init() {
	proto.RegisterType((*X509SVIDRequest)(nil), "X509SVIDRequest")
	proto.RegisterType((*X509SVIDResponse)(nil), "X509SVIDResponse")
	proto.RegisterMapType((map[string][]byte)(nil), "X509SVIDResponse.FederatedBundlesEntry")
	proto.RegisterType((*X509SVID)(nil), "X509SVID")
	proto.RegisterType((*X509BundlesRequest)(nil), "X509BundlesRequest")
	proto.RegisterType((*X509BundlesResponse)(nil), "X509BundlesResponse")
	proto.RegisterMapType((map[string][]byte)(nil), "X509BundlesResponse.BundlesEntry")
	proto.RegisterType((*JWTSVIDRequest)(nil), "JWTSVIDRequest")
	proto.RegisterType((*JWTSVIDResponse)(nil), "JWTSVIDResponse")
	proto.RegisterType((*JWTSVID)(nil), "JWTSVID")
	proto.RegisterType((*JWTBundlesRequest)(nil), "JWTBundlesRequest")
	proto.RegisterType((*JWTBundlesResponse)(nil), "JWTBundlesResponse")
	proto.RegisterMapType((map[string][]byte)(nil), "JWTBundlesResponse.BundlesEntry")
	proto.RegisterType((*ValidateJWTSVIDRequest)(nil), "ValidateJWTSVIDRequest")
	proto.RegisterType((*ValidateJWTSVIDResponse)(nil), "ValidateJWTSVIDResponse")
}

func init() {
	proto.RegisterFile("workload.proto", fileDescriptor_611edb31abe0f206)
}

var fileDescriptor_611edb31abe0f206 = []byte{
	// 639 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x55, 0xcd, 0x6e, 0xd3, 0x40,
	0x10, 0xd6, 0xda, 0xfd, 0x49, 0xa6, 0x69, 0xe3, 0x6c, 0x4a, 0x6b, 0x19, 0x04, 0xc1, 0x17, 0x72,
	0x61, 0x93, 0x06, 0x15, 0xd1, 0x16, 0x54, 0x51, 0x4a, 0x45, 0x8a, 0x84, 0x90, 0x53, 0xb5, 0x88,
	0x4b, 0xe4, 0xd8, 0x9b, 0xd4, 0xaa, 0x1b, 0x17, 0xff, 0x04, 0xf2, 0x0e, 0x1c, 0x79, 0x00, 0xde,
	0x85, 0x17, 0xe1, 0x51, 0x90, 0xd7, 0xbb, 0x4e, 0xec, 0x98, 0x1c, 0x90, 0xb8, 0xcd, 0xce, 0x7c,
	0xb3, 0x3b, 0xf3, 0x7d, 0xe3, 0x31, 0x6c, 0x7d, 0xf5, 0xfc, 0x1b, 0xd7, 0x33, 0x6d, 0x72, 0xe7,
	0x7b, 0xa1, 0xa7, 0x3d, 0x18, 0x79, 0xde, 0xc8, 0xa5, 0x2d, 0x76, 0x1a, 0x44, 0xc3, 0x56, 0x10,
	0xfa, 0x91, 0x15, 0x26, 0x51, 0xbd, 0x06, 0xd5, 0x4f, 0xfb, 0xed, 0x83, 0xde, 0x65, 0xf7, 0xd4,
	0xa0, 0x5f, 0x22, 0x1a, 0x84, 0xfa, 0x6f, 0x04, 0xca, 0xcc, 0x17, 0xdc, 0x79, 0xe3, 0x80, 0xe2,
	0x47, 0xb0, 0x1a, 0x4c, 0x1c, 0x3b, 0x50, 0x51, 0x43, 0x6e, 0x6e, 0x74, 0xca, 0x24, 0x45, 0x24,
	0x7e, 0xac, 0x80, 0x6c, 0xf9, 0xae, 0x2a, 0x35, 0xe4, 0x66, 0xc5, 0x88, 0x4d, 0x7c, 0x01, 0xb5,
	0x21, 0xb5, 0xa9, 0x6f, 0x86, 0xd4, 0xee, 0x0f, 0xa2, 0xb1, 0xed, 0xd2, 0x40, 0x95, 0x59, 0xfa,
	0x13, 0x92, 0x7f, 0x80, 0x9c, 0x09, 0xe8, 0x49, 0x82, 0x7c, 0x3b, 0x0e, 0xfd, 0xa9, 0xa1, 0x0c,
	0x73, 0x6e, 0xed, 0x0d, 0xdc, 0x2b, 0x84, 0xc6, 0x05, 0xdc, 0xd0, 0xa9, 0x8a, 0x1a, 0xa8, 0x59,
	0x36, 0x62, 0x13, 0x6f, 0xc3, 0xea, 0xc4, 0x74, 0x23, 0xaa, 0x4a, 0x0d, 0xd4, 0xac, 0x18, 0xc9,
	0xe1, 0x50, 0x7a, 0x81, 0xf4, 0x1f, 0x08, 0x4a, 0xa2, 0x02, 0x7c, 0x1f, 0xca, 0xc1, 0x9d, 0x33,
	0x1c, 0xd2, 0xbe, 0x63, 0xf3, 0xf4, 0x52, 0xe2, 0xe8, 0xda, 0x71, 0xf0, 0xdb, 0x7e, 0xfb, 0xa0,
	0x1f, 0x37, 0xc9, 0xef, 0x29, 0xc5, 0x8e, 0xde, 0xc4, 0xb1, 0xb1, 0x0e, 0x9b, 0x69, 0xb0, 0x1f,
	0x3f, 0x2e, 0x33, 0xc0, 0x86, 0x00, 0xbc, 0xa7, 0x53, 0xbc, 0x03, 0x6b, 0x49, 0xef, 0xea, 0x0a,
	0x0b, 0xf2, 0x13, 0xc6, 0xb0, 0x72, 0xed, 0x8c, 0x43, 0x75, 0x95, 0x3d, 0xc8, 0x6c, 0x7d, 0x1b,
	0x70, 0x5c, 0x15, 0x6f, 0x4b, 0xe8, 0xf1, 0x13, 0x41, 0x3d, 0xe3, 0xe6, 0x92, 0x70, 0xc6, 0xd1,
	0x8c, 0xf1, 0x23, 0x58, 0x17, 0x3c, 0x4b, 0x8c, 0xe7, 0xc7, 0xa4, 0x20, 0x91, 0x64, 0x18, 0x16,
	0x19, 0xda, 0x21, 0x54, 0xfe, 0x99, 0xcf, 0x2e, 0x6c, 0x9d, 0x5f, 0x5d, 0xcc, 0x0d, 0x11, 0xd6,
	0xa0, 0x64, 0x46, 0xb6, 0x43, 0xc7, 0x16, 0x65, 0x15, 0x96, 0x8d, 0xf4, 0x9c, 0x25, 0x5c, 0xca,
	0x12, 0xae, 0xef, 0x41, 0x35, 0xbd, 0x8a, 0x37, 0xfa, 0x30, 0x3b, 0x7b, 0x25, 0x22, 0x00, 0x89,
	0x5b, 0xff, 0x00, 0xeb, 0xdc, 0xb3, 0x5c, 0x4b, 0x0c, 0x2b, 0xa9, 0x8c, 0x65, 0x83, 0xd9, 0xa9,
	0x0c, 0xf2, 0x9c, 0x0c, 0x75, 0xa8, 0x9d, 0x5f, 0x5d, 0xe4, 0x54, 0xf8, 0x8e, 0x00, 0xcf, 0x7b,
	0x79, 0x6d, 0x87, 0x33, 0xca, 0x93, 0xea, 0x1a, 0x64, 0x11, 0xf5, 0x1f, 0x18, 0x7f, 0x07, 0x3b,
	0x97, 0xa6, 0xeb, 0xd8, 0x66, 0x48, 0x97, 0x32, 0x8f, 0x32, 0xcc, 0x17, 0x30, 0xa0, 0x8f, 0x60,
	0x77, 0xe1, 0x26, 0xde, 0xdc, 0x52, 0x36, 0x5b, 0xb0, 0x66, 0xb9, 0xa6, 0x73, 0x1b, 0xb0, 0xdb,
	0x36, 0x3a, 0xbb, 0x24, 0x59, 0x34, 0x44, 0x2c, 0x1a, 0xd2, 0x63, 0x8b, 0xc6, 0xe0, 0xb0, 0xce,
	0x2f, 0x09, 0x6a, 0x3d, 0x96, 0x7d, 0xc5, 0x37, 0xd4, 0xeb, 0x8f, 0x5d, 0xfc, 0x1c, 0x36, 0xcf,
	0x68, 0x68, 0x5d, 0xa7, 0x9f, 0xa3, 0x42, 0x72, 0x0b, 0x49, 0xab, 0x2d, 0x6c, 0x8b, 0x36, 0xc2,
	0xc7, 0xa0, 0xa4, 0x79, 0x9c, 0x45, 0x5c, 0x27, 0x8b, 0x9f, 0x8f, 0xb6, 0x5d, 0xf4, 0x0d, 0xb4,
	0x11, 0xde, 0x83, 0x0a, 0xbb, 0x40, 0x8c, 0x4e, 0x95, 0x64, 0x89, 0xd4, 0x14, 0x92, 0xe7, 0xe3,
	0x25, 0x54, 0x45, 0x8a, 0x78, 0x12, 0x93, 0x85, 0x51, 0xd1, 0xea, 0x05, 0x23, 0xd0, 0x46, 0xf8,
	0x14, 0xaa, 0x39, 0xa2, 0xf1, 0x2e, 0x29, 0x16, 0x51, 0x53, 0xc9, 0x5f, 0x34, 0x39, 0x39, 0xfe,
	0xfc, 0x6a, 0xe4, 0x84, 0xd7, 0xd1, 0x80, 0x58, 0xde, 0x6d, 0x2b, 0x51, 0xa3, 0x35, 0xf2, 0x9e,
	0x72, 0x6b, 0xd2, 0x49, 0x16, 0xbd, 0x88, 0x88, 0x9f, 0xc1, 0x91, 0x30, 0x06, 0x6b, 0x2c, 0xfe,
	0xec, 0x4f, 0x00, 0x00, 0x00, 0xff, 0xff, 0xa6, 0x8c, 0x69, 0xc5, 0x28, 0x06, 0x00, 0x00,
}
